[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# greaterthan(Cardinal,TUInt24Rec):Boolean

Check whether a cardinal value is greater than a TUInt24Rec value

## Declaration

Source position: unicodedata.pas line 253

`class operator TUInt24Rec.greaterthan(Cardinal,TUInt24Rec):Boolean(`
`a: Cardinal;`
`b: TUInt24Rec`
`):Boolean;`

## Arguments

`a` |  | Cardinal value to compare
`b` |  | TUInt24Rec to compare

## Function result

True if a is greater than b

## Description

The comparison is done by comparing 3 first bytes of the cardinal value with bytes byte0, byte1 and byte2.